Bug 146474 - Using "make xconfig" causes "CRYPTO" defines to vanish from .config file
Summary: Using "make xconfig" causes "CRYPTO" defines to vanish from .config file
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-28 17:47 UTC by Paul Bergman
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-04 00:02:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Bergman 2005-01-28 17:47:20 UTC
Description of problem:
Using the "make xconfig" utility to build a kernel makes "CRYPTO"
defines disapear in the .config file.
This does not happen when using "make menuconfig".


Version-Release number of selected component (if applicable):


How reproducible:
Build kernel with "make xconfig".

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ernie Petrides 2005-06-04 00:02:59 UTC
Hi, Paul.

The correct build-from-source procedure is as follows:

  1) make mrproper
  2) cp configs/kernel-2.4.21-i686-smp.config .config  [or some other config]
  3) make oldconfig
  4) make dep
  5) make bzImage
  6) make modules

Using "make xconfig" is not supported.

Cheers.  -ernie


Note You need to log in before you can comment on or make changes to this bug.